#include "driver.h"
#include "supersouth.h"

int
main (int argc, char **argv)
{
	int     err;

	if (snd_init (argc, argv) == -1)
		return (EXIT_FAILURE);

	if ((err= alsa_card_via686a_init()) < 0)
	{
		snd_cleanup ();
		fprintf (stderr, "Unable to detect Via SuperSouth soundchip (%s)", strerror (-err));
		return (EXIT_FAILURE);
	}

	snd_start ();
	alsa_card_via686a_cleanup ();
	snd_cleanup ();
	return (0);
}
